1. Place top up order
PressOne eSIM Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • User journeys
      • Top-up Journey
      • Purchase Journey
    • Guides
      • eSIM installation methods for API Partners
      • How to generate the QR code for an eSIM
  • REST API
    • Data / Data + Voice + SMS eSIM
      • Introduction
      • Error handling
      • Endpoints
        • Authenticate
          • Get token information
          • Refresh access token
          • Request access token
        • Check balance
          • Get balance
        • Compatible devices
          • Get compatible device lite list
        • Browse packages
          • Get packages
        • Place order
          • Submit order
        • Manage orders
          • Get order list
          • Get order
        • Manage eSIMs
          • Get eSIM by ICCID
          • Get eSIMs list
          • Get eSIM package history
        • Install eSIM
          • Get installation instructions
        • Monitor usage
          • Get usage (data, text & voice)
        • Place top up order
          • Get top-up package list
            GET
          • Submit top-up order
            POST
    • Voice-only eSIM
      • Getting Started
      • Error handling
      • Endpoints
        • List Available Numbers
        • Claim Number
        • Renew Number
        • List User
    • SMS
      • Introduction
      • Authentication
      • Conventions
        • Response envelope
        • Errors
        • Rate limits
        • Idempotency
        • Date ranges & timezone
        • Pagination
      • Endpoints
        • Send an SMS
          • Send SMS /api/sms/send
        • List message logs
          • List message logs /api/sms/logs
        • Get statistics
          • Get statistics /api/sms/statistics
        • Export logs (CSV)
          • Export logs (CSV) /api/sms/export
        • Analytics
          • Overview
            • Overview /api/sms/analytics/overview
          • Message volume
            • Message volume /api/sms/analytics/message-volume
          • Delivery status distribution
            • Delivery status distribution /api/sms/analytics/delivery-status
          • Delivery report
            • Delivery report - /api/sms/analytics/delivery-report
        • Check wallet balance
          • Check wallet balance /api/sms/balance
        • Send an OTP
          • Send an OTP /api/sms/otp/send
        • Verify an OTP
          • Verify an OTP /api/sms/otp/verify
      • Delivery webhooks
        • Delivery webhooks
      • Message lifecycle & statuses
        • Message lifecycle & statuses
      • Appendix: message object
        • Appendix: message object
  1. Place top up order

Submit top-up order

POST
/customer/v2/orders/topups
To submit a top-up order:
Make a POST request to the endpoint URL {{url}}/{{version}}/orders/topups
Include a request body in the form of a FormData object, which contains the following required fields:
1.
package_id: The ID of the top-up package you want to purchase
2.
iccid: The ICCID of the eSIM for which you want to purchase the top-up package.
You can also include an optional description field to provide additional information about the order.
The API will respond with a JSON object containing the details of the order, including the package ID, quantity, price, and other information.
The complete workflow for buying a top-up package:
1.
GET {{url}}/{{version}}/sims to see the list of purchased eSIMs
2.
GET {{url}}/{{version}}/sims/:iccid/topups to see the list of available top-ups for the eSIMs
3.
POST {{url}}/{{version}}/orders/topups with the proper "iccid" and "package_id" values to purchase a top-up
4.
GET {{url}}/{{version}}/sims/:iccid/packages to see the list of all packages for the eSIM, including the original package and top-ups

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟢200Submit Top-up Order: 200 OK
🟠400Validation Failed
🟠404eSIM Not Found
🟠422Submit Top-up Order: 422 (Purchase limit exceeded)
🟠422Submit Top-up Order: 422 (Required fields are missing)
🟠422Submit Top-up Order: 422 (Invalid package id)
🟠422Submit Top-up Order: 422 (Recycled sim)
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/customer/v2/orders/topups' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'Idempotency-Key;' \
--header 'Content-Type: application/json' \
--data '{
    "package_id": "bonbon-mobile-30days-3gb-topup",
    "iccid": "89340000000000872",
    "description": "Cuppedia utor eum tergum bene universe conservo corroboro aperte..."
}'
Response Response Example
200 - OK
{
    "success": true,
    "code": "TOPUP_ORDER_CREATED",
    "message": "Top-up order created successfully",
    "data": {
        "data": {
            "package_id": "5e0db",
            "quantity": "1",
            "type": "sim",
            "description": "Top-up for customer John Doe",
            "esim_type": "data",
            "validity": 7,
            "package": "Merhaba Top-up - 1GB",
            "data": "1 GB",
            "price": 3.5,
            "created_at": "2024-01-15T10:30:00Z",
            "id": 12345,
            "code": "ORD-12345",
            "currency": "USD",
            "sims": [
                {
                    "id": 1,
                    "iccid": "89012345678901234567"
                }
            ]
        }
    },
    "timestamp": "2025-10-29T12:30:00.000Z"
}
Modified at 2026-06-24 13:15:41
Previous
Get top-up package list
Next
Getting Started
Built with